#
# Copyright (c)  2006-2008 Maskat Project.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
class CreateGourmetRestaurants < ActiveRecord::Migration
  def self.up
    create_table(:gourmet_restaurants, :id => false) do |t|
      t.column :name, :text, :null => false
      t.column :address, :text, :null => false
      t.column :style, :int, :null => false
      t.column :budget, :int, :null => false
      t.column :coupon, :boolean, :null => false
      t.column :latitude, :double, :null => false
      t.column :longitude, :double, :null => false
      t.column :description, :text, :null => false
    end
  end
  
  def self.down
    drop_table :gourmet_restaurants
  end
end
